config_wuxing = {
    "甲": "木",
    "乙": "木",
    "丙": "火",
    "丁": "火",
    "戊": "土",
    "己": "土",
    "庚": "金",
    "辛": "金",
    "壬": "水",
    "癸": "水",
    "子": "水",
    "丑": "土",
    "寅": "木",
    "卯": "木",
    "辰": "土",
    "巳": "火",
    "午": "火",
    "未": "土",
    "申": "金",
    "酉": "金",
    "戌": "土",
    "亥": "水",
}
config_canggan = {
    "子": ["癸", None, None],
    "丑": ["己", "辛", "癸"],
    "寅": ["甲", "丙", "戊"],
    "卯": ["乙", None, None],
    "辰": ["戊", "癸", "乙"],
    "巳": ["丙", "戊", "庚"],
    "午": ["丁", "己", None],
    "未": ["己", "乙", "丁"],
    "申": ["庚", "壬", "戊"],
    "酉": ["辛", None, None],
    "戌": ["戊", "丁", "辛"],
    "亥": ["壬", "甲", None],
}
config_shishen = {
    "甲": {
        "甲": "比",
        "乙": "劫",
        "丙": "食",
        "丁": "伤",
        "戊": "才",
        "己": "财",
        "庚": "杀",
        "辛": "官",
        "壬": "枭",
        "癸": "印",
        "子": "印",
        "丑": "财",
        "寅": "比",
        "卯": "劫",
        "辰": "才",
        "巳": "食",
        "午": "伤",
        "未": "财",
        "申": "杀",
        "酉": "官",
        "戌": "才",
        "亥": "枭",
    },
    "乙": {
        "甲": "劫",
        "乙": "比",
        "丙": "伤",
        "丁": "食",
        "戊": "财",
        "己": "才",
        "庚": "官",
        "辛": "杀",
        "壬": "印",
        "癸": "枭",
        "子": "枭",
        "丑": "才",
        "寅": "劫",
        "卯": "比",
        "辰": "财",
        "巳": "伤",
        "午": "食",
        "未": "才",
        "申": "官",
        "酉": "杀",
        "戌": "财",
        "亥": "印",
    },
    "丙": {
        "甲": "枭",
        "乙": "印",
        "丙": "比",
        "丁": "劫",
        "戊": "食",
        "己": "伤",
        "庚": "才",
        "辛": "财",
        "壬": "杀",
        "癸": "官",
        "子": "官",
        "丑": "伤",
        "寅": "枭",
        "卯": "印",
        "辰": "食",
        "巳": "比",
        "午": "劫",
        "未": "伤",
        "申": "才",
        "酉": "财",
        "戌": "食",
        "亥": "杀",
    },
    "丁": {
        "甲": "印",
        "乙": "枭",
        "丙": "劫",
        "丁": "比",
        "戊": "伤",
        "己": "食",
        "庚": "财",
        "辛": "才",
        "壬": "官",
        "癸": "杀",
        "子": "杀",
        "丑": "食",
        "寅": "印",
        "卯": "枭",
        "辰": "伤",
        "巳": "劫",
        "午": "比",
        "未": "食",
        "申": "财",
        "酉": "才",
        "戌": "伤",
        "亥": "官",
    },
    "戊": {
        "甲": "杀",
        "乙": "官",
        "丙": "枭",
        "丁": "印",
        "戊": "比",
        "己": "劫",
        "庚": "食",
        "辛": "伤",
        "壬": "才",
        "癸": "财",
        "子": "财",
        "丑": "劫",
        "寅": "杀",
        "卯": "官",
        "辰": "比",
        "巳": "枭",
        "午": "印",
        "未": "劫",
        "申": "食",
        "酉": "伤",
        "戌": "比",
        "亥": "才",
    },
    "己": {
        "甲": "官",
        "乙": "杀",
        "丙": "印",
        "丁": "枭",
        "戊": "劫",
        "己": "比",
        "庚": "伤",
        "辛": "食",
        "壬": "财",
        "癸": "才",
        "子": "才",
        "丑": "比",
        "寅": "官",
        "卯": "杀",
        "辰": "劫",
        "巳": "印",
        "午": "枭",
        "未": "比",
        "申": "伤",
        "酉": "食",
        "戌": "劫",
        "亥": "财",
    },
    "庚": {
        "甲": "才",
        "乙": "财",
        "丙": "杀",
        "丁": "官",
        "戊": "枭",
        "己": "印",
        "庚": "比",
        "辛": "劫",
        "壬": "食",
        "癸": "伤",
        "子": "伤",
        "丑": "印",
        "寅": "才",
        "卯": "财",
        "辰": "枭",
        "巳": "杀",
        "午": "官",
        "未": "印",
        "申": "比",
        "酉": "劫",
        "戌": "枭",
        "亥": "食",
    },
    "辛": {
        "甲": "财",
        "乙": "才",
        "丙": "官",
        "丁": "杀",
        "戊": "印",
        "己": "枭",
        "庚": "劫",
        "辛": "比",
        "壬": "伤",
        "癸": "食",
        "子": "食",
        "丑": "枭",
        "寅": "财",
        "卯": "才",
        "辰": "印",
        "巳": "官",
        "午": "官",
        "未": "杀",
        "申": "劫",
        "酉": "比",
        "戌": "印",
        "亥": "伤",
    },
    "壬": {
        "甲": "食",
        "乙": "伤",
        "丙": "才",
        "丁": "财",
        "戊": "杀",
        "己": "官",
        "庚": "枭",
        "辛": "印",
        "壬": "比",
        "癸": "劫",
        "子": "劫",
        "丑": "官",
        "寅": "食",
        "卯": "伤",
        "辰": "杀",
        "巳": "才",
        "午": "财",
        "未": "官",
        "申": "枭",
        "酉": "印",
        "戌": "杀",
        "亥": "比",
    },
    "癸": {
        "甲": "伤",
        "乙": "食",
        "丙": "财",
        "丁": "才",
        "戊": "官",
        "己": "杀",
        "庚": "印",
        "辛": "枭",
        "壬": "劫",
        "癸": "比",
        "子": "比",
        "丑": "杀",
        "寅": "伤",
        "卯": "食",
        "辰": "官",
        "巳": "财",
        "午": "才",
        "未": "杀",
        "申": "印",
        "酉": "枭",
        "戌": "官",
        "亥": "劫",
    },
    "子": {
        "甲": "伤",
        "乙": "食",
        "丙": "财",
        "丁": "才",
        "戊": "官",
        "己": "杀",
        "庚": "印",
        "辛": "枭",
        "壬": "劫",
        "癸": "比",
        "子": "比",
        "丑": "杀",
        "寅": "伤",
        "卯": "食",
        "辰": "官",
        "巳": "财",
        "午": "才",
        "未": "杀",
        "申": "印",
        "酉": "枭",
        "戌": "官",
        "亥": "劫",
    },
    "丑": {
        "甲": "官",
        "乙": "杀",
        "丙": "印",
        "丁": "枭",
        "戊": "劫",
        "己": "比",
        "庚": "伤",
        "辛": "食",
        "壬": "财",
        "癸": "才",
        "子": "才",
        "丑": "比",
        "寅": "官",
        "卯": "杀",
        "辰": "劫",
        "巳": "印",
        "午": "枭",
        "未": "比",
        "申": "伤",
        "酉": "食",
        "戌": "劫",
        "亥": "财",
    },
    "寅": {
        "甲": "比",
        "乙": "劫",
        "丙": "食",
        "丁": "伤",
        "戊": "才",
        "己": "财",
        "庚": "杀",
        "辛": "官",
        "壬": "枭",
        "癸": "印",
        "子": "印",
        "丑": "财",
        "寅": "比",
        "卯": "劫",
        "辰": "才",
        "巳": "食",
        "午": "伤",
        "未": "财",
        "申": "杀",
        "酉": "官",
        "戌": "才",
        "亥": "枭",
    },
    "卯": {
        "甲": "劫",
        "乙": "比",
        "丙": "伤",
        "丁": "食",
        "戊": "财",
        "己": "才",
        "庚": "官",
        "辛": "杀",
        "壬": "印",
        "癸": "枭",
        "子": "枭",
        "丑": "才",
        "寅": "劫",
        "卯": "比",
        "辰": "财",
        "巳": "伤",
        "午": "食",
        "未": "才",
        "申": "官",
        "酉": "杀",
        "戌": "财",
        "亥": "印",
    },
    "辰": {
        "甲": "杀",
        "乙": "官",
        "丙": "枭",
        "丁": "印",
        "戊": "比",
        "己": "劫",
        "庚": "食",
        "辛": "伤",
        "壬": "才",
        "癸": "财",
        "子": "财",
        "丑": "劫",
        "寅": "杀",
        "卯": "官",
        "辰": "比",
        "巳": "枭",
        "午": "印",
        "未": "劫",
        "申": "食",
        "酉": "伤",
        "戌": "比",
        "亥": "才",
    },
    "巳": {
        "甲": "枭",
        "乙": "印",
        "丙": "比",
        "丁": "劫",
        "戊": "食",
        "己": "伤",
        "庚": "才",
        "辛": "财",
        "壬": "杀",
        "癸": "官",
        "子": "官",
        "丑": "伤",
        "寅": "枭",
        "卯": "印",
        "辰": "食",
        "巳": "比",
        "午": "劫",
        "未": "伤",
        "申": "才",
        "酉": "财",
        "戌": "食",
        "亥": "杀",
    },
    "午": {
        "甲": "印",
        "乙": "枭",
        "丙": "劫",
        "丁": "比",
        "戊": "伤",
        "己": "食",
        "庚": "财",
        "辛": "才",
        "壬": "官",
        "癸": "杀",
        "子": "杀",
        "丑": "食",
        "寅": "印",
        "卯": "枭",
        "辰": "伤",
        "巳": "劫",
        "午": "比",
        "未": "食",
        "申": "财",
        "酉": "才",
        "戌": "伤",
        "亥": "官",
    },
    "未": {
        "甲": "官",
        "乙": "杀",
        "丙": "印",
        "丁": "枭",
        "戊": "劫",
        "己": "比",
        "庚": "伤",
        "辛": "食",
        "壬": "财",
        "癸": "才",
        "子": "才",
        "丑": "比",
        "寅": "官",
        "卯": "杀",
        "辰": "劫",
        "巳": "印",
        "午": "枭",
        "未": "比",
        "申": "伤",
        "酉": "食",
        "戌": "劫",
        "亥": "财",
    },
    "申": {
        "甲": "才",
        "乙": "财",
        "丙": "杀",
        "丁": "官",
        "戊": "枭",
        "己": "印",
        "庚": "比",
        "辛": "劫",
        "壬": "食",
        "癸": "伤",
        "子": "伤",
        "丑": "印",
        "寅": "才",
        "卯": "财",
        "辰": "枭",
        "巳": "杀",
        "午": "官",
        "未": "印",
        "申": "比",
        "酉": "劫",
        "戌": "枭",
        "亥": "食",
    },
    "酉": {
        "甲": "财",
        "乙": "才",
        "丙": "官",
        "丁": "杀",
        "戊": "印",
        "己": "枭",
        "庚": "劫",
        "辛": "比",
        "壬": "伤",
        "癸": "食",
        "子": "食",
        "丑": "枭",
        "寅": "财",
        "卯": "才",
        "辰": "印",
        "巳": "官",
        "午": "官",
        "未": "杀",
        "申": "劫",
        "酉": "比",
        "戌": "印",
        "亥": "伤",
    },
    "戌": {
        "甲": "杀",
        "乙": "官",
        "丙": "枭",
        "丁": "印",
        "戊": "比",
        "己": "劫",
        "庚": "食",
        "辛": "伤",
        "壬": "才",
        "癸": "财",
        "子": "财",
        "丑": "劫",
        "寅": "杀",
        "卯": "官",
        "辰": "比",
        "巳": "枭",
        "午": "印",
        "未": "劫",
        "申": "食",
        "酉": "伤",
        "戌": "比",
        "亥": "才",
    },
    "亥": {
        "甲": "食",
        "乙": "伤",
        "丙": "才",
        "丁": "财",
        "戊": "杀",
        "己": "官",
        "庚": "枭",
        "辛": "印",
        "壬": "比",
        "癸": "劫",
        "子": "劫",
        "丑": "官",
        "寅": "食",
        "卯": "伤",
        "辰": "杀",
        "巳": "才",
        "午": "财",
        "未": "官",
        "申": "枭",
        "酉": "印",
        "戌": "杀",
        "亥": "比",
    },
}
config_yinyang = {
    "甲": "阳",
    "乙": "阴",
    "丙": "阳",
    "丁": "阴",
    "戊": "阳",
    "己": "阴",
    "庚": "阳",
    "辛": "阴",
    "壬": "阳",
    "癸": "阴",
    "子": "阴",
    "丑": "阴",
    "寅": "阳",
    "卯": "阴",
    "辰": "阳",
    "巳": "阳",
    "午": "阴",
    "未": "阴",
    "申": "阳",
    "酉": "阴",
    "戌": "阳",
    "亥": "阳",
}
config_zhangsheng = {
    "甲": {
        "子": "沐",
        "丑": "冠",
        "寅": "临",
        "卯": "帝",
        "辰": "衰",
        "巳": "病",
        "午": "死",
        "未": "墓",
        "申": "绝",
        "酉": "胎",
        "戌": "养",
        "亥": "生",
    },
    "乙": {
        "子": "病",
        "丑": "衰",
        "寅": "帝",
        "卯": "临",
        "辰": "冠",
        "巳": "沐",
        "午": "生",
        "未": "养",
        "申": "胎",
        "酉": "绝",
        "戌": "墓",
        "亥": "死",
    },
    "丙": {
        "子": "胎",
        "丑": "养",
        "寅": "生",
        "卯": "沐",
        "辰": "冠",
        "巳": "临",
        "午": "帝",
        "未": "衰",
        "申": "病",
        "酉": "死",
        "戌": "墓",
        "亥": "绝",
    },
    "丁": {
        "子": "绝",
        "丑": "墓",
        "寅": "死",
        "卯": "病",
        "辰": "衰",
        "巳": "帝",
        "午": "临",
        "未": "冠",
        "申": "沐",
        "酉": "生",
        "戌": "养",
        "亥": "胎",
    },
    "戊": {
        "子": "胎",
        "丑": "养",
        "寅": "生",
        "卯": "沐",
        "辰": "冠",
        "巳": "临",
        "午": "帝",
        "未": "衰",
        "申": "病",
        "酉": "死",
        "戌": "墓",
        "亥": "绝",
    },
    "己": {
        "子": "绝",
        "丑": "墓",
        "寅": "死",
        "卯": "病",
        "辰": "衰",
        "巳": "帝",
        "午": "临",
        "未": "冠",
        "申": "沐",
        "酉": "生",
        "戌": "养",
        "亥": "胎",
    },
    "庚": {
        "子": "死",
        "丑": "墓",
        "寅": "绝",
        "卯": "胎",
        "辰": "养",
        "巳": "生",
        "午": "沐",
        "未": "冠",
        "申": "临",
        "酉": "帝",
        "戌": "衰",
        "亥": "病",
    },
    "辛": {
        "子": "生",
        "丑": "养",
        "寅": "胎",
        "卯": "绝",
        "辰": "墓",
        "巳": "死",
        "午": "病",
        "未": "衰",
        "申": "帝",
        "酉": "临",
        "戌": "冠",
        "亥": "沐",
    },
    "壬": {
        "子": "帝",
        "丑": "衰",
        "寅": "病",
        "卯": "死",
        "辰": "墓",
        "巳": "绝",
        "午": "胎",
        "未": "养",
        "申": "生",
        "酉": "沐",
        "戌": "冠",
        "亥": "临",
    },
    "癸": {
        "子": "临",
        "丑": "冠",
        "寅": "沐",
        "卯": "生",
        "辰": "养",
        "巳": "胎",
        "午": "绝",
        "未": "墓",
        "申": "死",
        "酉": "病",
        "戌": "衰",
        "亥": "帝",
    },
}
config_wuxing_shishen_guanxi = {
    "木": {
        "木": ["比", "劫"],
        "火": ["食", "伤"],
        "土": ["财", "才"],
        "金": ["官", "杀"],
        "水": ["印", "枭"],
    },
    "火": {
        "木": ["印", "枭"],
        "火": ["比", "劫"],
        "土": ["食", "伤"],
        "金": ["财", "才"],
        "水": ["官", "杀"],
    },
    "土": {
        "木": ["官", "杀"],
        "火": ["印", "枭"],
        "土": ["比", "劫"],
        "金": ["食", "伤"],
        "水": ["财", "才"],
    },
    "金": {
        "木": ["财", "才"],
        "火": ["官", "杀"],
        "土": ["印", "枭"],
        "金": ["比", "劫"],
        "水": ["食", "伤"],
    },
    "水": {
        "木": ["食", "伤"],
        "火": ["财", "才"],
        "土": ["官", "杀"],
        "金": ["印", "枭"],
        "水": ["比", "劫"],
    },

}
config_gaoneng = {
    "甲己合": {
        "name": "甲己合",
        "guanxi": "合",
        "father": None,
        "leibie": "天干合",
        "hehua": "土",
        "tip": None,
        "fangxiang": "己",
    },
    "乙庚合": {
        "name": "乙庚合",
        "guanxi": "合",
        "father": None,
        "leibie": "天干合",
        "hehua": "金",
        "tip": None,
        "fangxiang": "庚",
    },
    "丙辛合": {
        "name": "丙辛合",
        "guanxi": "合",
        "father": None,
        "leibie": "天干合",
        "hehua": "水",
        "tip": None,
        "fangxiang": "辛",
    },
    "丁壬合": {
        "name": "丁壬合",
        "guanxi": "合",
        "father": None,
        "leibie": "天干合",
        "hehua": "木",
        "tip": None,
        "fangxiang": "壬",
    },
    "戊癸合": {
        "name": "戊癸合",
        "guanxi": "合",
        "father": None,
        "leibie": "天干合",
        "hehua": "火",
        "tip": None,
        "fangxiang": "戊",
    },
    "甲庚冲": {
        "name": "甲庚冲",
        "guanxi": "冲",
        "father": None,
        "leibie": "天干冲",
        "hehua": None,
        "tip": None,
        "fangxiang": None,
    },
    "乙辛冲": {
        "name": "乙辛冲",
        "guanxi": "冲",
        "father": None,
        "leibie": "天干冲",
        "hehua": None,
        "tip": None,
        "fangxiang": None,
    },
    "丙壬冲": {
        "name": "丙壬冲",
        "guanxi": "冲",
        "father": None,
        "leibie": "天干冲",
        "hehua": None,
        "tip": None,
        "fangxiang": None,
    },
    "丁癸冲": {
        "name": "丁癸冲",
        "guanxi": "冲",
        "father": None,
        "leibie": "天干冲",
        "hehua": None,
        "tip": None,
        "fangxiang": None,
    },
    "子丑合": {
        "name": "子丑合",
        "guanxi": "合",
        "father": None,
        "leibie": "地支合",
        "hehua": "土",
        "tip": None,
        "fangxiang": "丑",
    },
    "寅亥合": {
        "name": "寅亥合",
        "guanxi": "合",
        "father": None,
        "leibie": "地支合",
        "hehua": "木",
        "tip": None,
        "fangxiang": "寅",
    },
    "卯戌合": {
        "name": "卯戌合",
        "guanxi": "合",
        "father": None,
        "leibie": "地支合",
        "hehua": "火",
        "tip": None,
        "fangxiang": "戌",
    },
    "酉辰合": {
        "name": "酉辰合",
        "guanxi": "合",
        "father": None,
        "leibie": "地支合",
        "hehua": "金",
        "tip": None,
        "fangxiang": "酉",
    },
    "巳申合": {
        "name": "巳申合",
        "guanxi": "合",
        "father": None,
        "leibie": "地支合",
        "hehua": "水",
        "tip": None,
        "fangxiang": "申",
    },
    "午未合": {
        "name": "午未合",
        "guanxi": "合",
        "father": None,
        "leibie": "地支合",
        "hehua": "火",
        "tip": None,
        "fangxiang": "午",
    },
    "子午冲": {
        "name": "子午冲",
        "guanxi": "冲",
        "father": None,
        "leibie": "地支冲",
        "hehua": None,
        "tip": "表示无妄之灾，特点是突发、迅猛，但是后果不严重，或者当场消停，虚惊一场。对应在健康上，需有人陪伴。",
        "fangxiang": None,
    },
    "巳亥冲": {
        "name": "巳亥冲",
        "guanxi": "冲",
        "father": None,
        "leibie": "地支冲",
        "hehua": None,
        "tip": "水火斗为主，伴随金木斗，影响肝脏、肺部健康，遇见应多去体检身体，确保健康，相对健康影响比较大",
        "fangxiang": None,
    },
    "卯酉冲": {
        "name": "卯酉冲",
        "guanxi": "冲",
        "father": None,
        "leibie": "地支冲",
        "hehua": None,
        "tip": "主血光之灾(比如开刀)，影响肝胆、肺部、食道、呼吸道、肠道健康",
        "fangxiang": None,
    },
    "申寅冲": {
        "name": "申寅冲",
        "guanxi": "冲",
        "father": None,
        "leibie": "地支冲",
        "hehua": None,
        "tip": "主内伤，多作用在肾脏、心脑血管，多急症。",
        "fangxiang": None,
    },
    "辰戌冲": {
        "name": "辰戌冲",
        "guanxi": "冲",
        "father": None,
        "leibie": "地支冲",
        "hehua": None,
        "tip": "主开库，开库后引发乙辛冲、丁癸冲",
        "fangxiang": None,
    },
    "丑未冲": {
        "name": "丑未冲",
        "guanxi": "冲",
        "father": None,
        "leibie": "地支冲",
        "hehua": None,
        "tip": "主开库，开库后引发乙辛冲、丁癸冲",
        "fangxiang": None,
    },
    "寅丑暗合": {
        "name": "寅丑暗合",
        "guanxi": "暗合",
        "father": None,
        "leibie": "地支暗合",
        "hehua": "土",
        "tip": None,
        "fangxiang": "丑",
    },
    "午亥暗合": {
        "name": "午亥暗合",
        "guanxi": "暗合",
        "father": None,
        "leibie": "地支暗合",
        "hehua": "木",
        "tip": None,
        "fangxiang": "亥",
    },
    "申卯暗合": {
        "name": "申卯暗合",
        "guanxi": "暗合",
        "father": None,
        "leibie": "地支暗合",
        "hehua": "金",
        "tip": None,
        "fangxiang": "申",
    },
    "子辰半合": {
        "name": "子辰半合",
        "guanxi": "半合",
        "father": None,
        "leibie": "地支三合",
        "hehua": "水",
        "tip": None,
        "fangxiang": "子",
    },
    "申子半合": {
        "name": "申子半合",
        "guanxi": "半合",
        "father": None,
        "leibie": "地支三合",
        "hehua": "水",
        "tip": None,
        "fangxiang": "子",
    },
    "亥卯半合": {
        "name": "亥卯半合",
        "guanxi": "半合",
        "father": None,
        "leibie": "地支三合",
        "hehua": "木",
        "tip": None,
        "fangxiang": "卯",
    },
    "卯未半合": {
        "name": "卯未半合",
        "guanxi": "半合",
        "father": None,
        "leibie": "地支三合",
        "hehua": "木",
        "tip": None,
        "fangxiang": "卯",
    },
    "寅午半合": {
        "name": "寅午半合",
        "guanxi": "半合",
        "father": None,
        "leibie": "地支三合",
        "hehua": "火",
        "tip": None,
        "fangxiang": "午",
    },
    "午戌半合": {
        "name": "午戌半合",
        "guanxi": "半合",
        "father": None,
        "leibie": "地支三合",
        "hehua": "火",
        "tip": None,
        "fangxiang": "午",
    },
    "巳酉半合": {
        "name": "巳酉半合",
        "guanxi": "半合",
        "father": None,
        "leibie": "地支三合",
        "hehua": "金",
        "tip": None,
        "fangxiang": "酉",
    },
    "酉丑半合": {
        "name": "酉丑半合",
        "guanxi": "半合",
        "father": None,
        "leibie": "地支三合",
        "hehua": "金",
        "tip": None,
        "fangxiang": "酉",
    },
    "申辰拱合": {
        "name": "申辰拱合",
        "guanxi": "拱合",
        "father": None,
        "leibie": "地支三合",
        "hehua": "水",
        "tip": None,
        "fangxiang": "子",
    },
    "亥未拱合": {
        "name": "亥未拱合",
        "guanxi": "拱合",
        "father": None,
        "leibie": "地支三合",
        "hehua": "木",
        "tip": None,
        "fangxiang": "卯",
    },
    "寅戌拱合": {
        "name": "寅戌拱合",
        "guanxi": "拱合",
        "father": None,
        "leibie": "地支三合",
        "hehua": "火",
        "tip": None,
        "fangxiang": "午",
    },
    "巳丑拱合": {
        "name": "巳丑拱合",
        "guanxi": "拱合",
        "father": None,
        "leibie": "地支三合",
        "hehua": "金",
        "tip": None,
        "fangxiang": "酉",
    },
    "寅卯辰三会": {
        "name": "寅卯辰三会",
        "guanxi": "三会",
        "father": None,
        "leibie": "地支三会",
        "hehua": "木",
        "tip": None,
        "fangxiang": "卯",
    },
    "巳午未三会": {
        "name": "巳午未三会",
        "guanxi": "三会",
        "father": None,
        "leibie": "地支三会",
        "hehua": "火",
        "tip": None,
        "fangxiang": "午",
    },
    "申酉戌三会": {
        "name": "申酉戌三会",
        "guanxi": "三会",
        "father": None,
        "leibie": "地支三会",
        "hehua": "金",
        "tip": None,
        "fangxiang": "酉",
    },
    "亥子丑三会": {
        "name": "亥子丑三会",
        "guanxi": "三会",
        "father": None,
        "leibie": "地支三会",
        "hehua": "水",
        "tip": None,
        "fangxiang": "子",
    },
    "子卯刑": {
        "name": "子卯刑",
        "guanxi": "刑",
        "father": None,
        "leibie": "地支刑",
        "hehua": None,
        "tip": "一方付出，另一方不领情 ",
        "fangxiang": None,
    },
    "寅巳刑": {
        "name": "寅巳刑",
        "guanxi": "刑",
        "father": None,
        "leibie": "地支刑",
        "hehua": None,
        "tip": None,
        "fangxiang": None,
    },
    "巳申刑": {
        "name": "巳申刑",
        "guanxi": "刑",
        "father": None,
        "leibie": "地支刑",
        "hehua": None,
        "tip": None,
        "fangxiang": None,
    },
    "戌未刑": {
        "name": "戌未刑",
        "guanxi": "刑",
        "father": None,
        "leibie": "地支刑",
        "hehua": None,
        "tip": None,
        "fangxiang": None,
    },
    "丑戌刑": {
        "name": "丑戌刑",
        "guanxi": "刑",
        "father": None,
        "leibie": "地支刑",
        "hehua": None,
        "tip": "容易动刀，刑在年柱应期在0-15岁，往后每柱增加15岁应期，循环往复。也可能应在不同柱所代表的六亲身上。",
        "fangxiang": None,
    },
    "辰辰自刑": {
        "name": "辰辰自刑",
        "guanxi": "自刑",
        "father": None,
        "leibie": "地支自刑",
        "hehua": None,
        "tip": "容易庸人自扰，念头不通畅，进入哲学思维模式",
        "fangxiang": None,
    },
    "午午自刑": {
        "name": "午午自刑",
        "guanxi": "自刑",
        "father": None,
        "leibie": "地支自刑",
        "hehua": None,
        "tip": "容易口舌是非、空想，产生自我心理幻觉，无中生有又以此与人争执，或者喜欢没完没了的抱怨吐槽",
        "fangxiang": None,
    },
    "酉酉自刑": {
        "name": "酉酉自刑",
        "guanxi": "自刑",
        "father": None,
        "leibie": "地支自刑",
        "hehua": None,
        "tip": "容易神神叨叨，为金钱烦恼，喜欢抬扛",
        "fangxiang": None,
    },
    "亥亥自刑": {
        "name": "亥亥自刑",
        "guanxi": "自刑",
        "father": None,
        "leibie": "地支自刑",
        "hehua": None,
        "tip": "容易顾虑太多，选择困难",
        "fangxiang": None,
    },
    "卯午破": {
        "name": "卯午破",
        "guanxi": "破",
        "father": None,
        "leibie": "地支破",
        "hehua": None,
        "tip": "才多识广，读书破万卷(有家学渊源才行)；也指婚姻、感情破裂",
        "fangxiang": None,
    },
    "午酉破": {
        "name": "午酉破",
        "guanxi": "破",
        "father": None,
        "leibie": "地支破",
        "hehua": None,
        "tip": "离婚、也指炒股、贷款、金融上的投资不利，也表示抵押、车祸",
        "fangxiang": None,
    },
    "子酉破": {
        "name": "子酉破",
        "guanxi": "破",
        "father": None,
        "leibie": "地支破",
        "hehua": None,
        "tip": None,
        "fangxiang": None,
    },
    "巳申破": {
        "name": "巳申破",
        "guanxi": "破",
        "father": None,
        "leibie": "地支破",
        "hehua": None,
        "tip": None,
        "fangxiang": None,
    },
    "丑辰破": {
        "name": "丑辰破",
        "guanxi": "破",
        "father": None,
        "leibie": "地支破",
        "hehua": None,
        "tip": None,
        "fangxiang": None,
    },
    "寅亥破": {
        "name": "寅亥破",
        "guanxi": "破",
        "father": None,
        "leibie": "地支破",
        "hehua": None,
        "tip": None,
        "fangxiang": None,
    },
    "戌未破": {
        "name": "戌未破",
        "guanxi": "破",
        "father": None,
        "leibie": "地支破",
        "hehua": None,
        "tip": None,
        "fangxiang": None,
    },
    "子未穿": {
        "name": "子未穿",
        "guanxi": "穿",
        "father": None,
        "leibie": "地支穿",
        "hehua": None,
        "tip": "不计代价的除掉对方",
        "fangxiang": None,
    },
    "卯辰穿": {
        "name": "卯辰穿",
        "guanxi": "穿",
        "father": None,
        "leibie": "地支穿",
        "hehua": None,
        "tip": "凶险度很高的穿，慢性伤害，渗透后伤害",
        "fangxiang": None,
    },
    "酉戌穿": {
        "name": "酉戌穿",
        "guanxi": "穿",
        "father": None,
        "leibie": "地支穿",
        "hehua": None,
        "tip": "凶险度很高的穿，突发伤害，同归于尽的决绝，也指舆情、爆炸性新闻。穿配偶宫一旦领证就容易互相伤害，直到老死不相往来",
        "fangxiang": None,
    },
    "午丑穿": {
        "name": "午丑穿",
        "guanxi": "穿",
        "father": None,
        "leibie": "地支穿",
        "hehua": None,
        "tip": None,
        "fangxiang": None,
    },
    "寅巳穿": {
        "name": "寅巳穿",
        "guanxi": "穿",
        "father": None,
        "leibie": "地支穿",
        "hehua": None,
        "tip": "容易以卵击石，以小搏大",
        "fangxiang": None,
    },
    "申亥穿": {
        "name": "申亥穿",
        "guanxi": "穿",
        "father": None,
        "leibie": "地支穿",
        "hehua": None,
        "tip": "穿肠毒药，容易影响肠胃健康、出现肾病、宫寒、性病等",
        "fangxiang": None,
    },
}
config_gaoneng_query = {
    "甲己": [config_gaoneng["甲己合"]],
    "己甲": [config_gaoneng["甲己合"]],
    "乙庚": [config_gaoneng["乙庚合"]],
    "庚乙": [config_gaoneng["乙庚合"]],
    "丙辛": [config_gaoneng["丙辛合"]],
    "辛丙": [config_gaoneng["丙辛合"]],
    "丁壬": [config_gaoneng["丁壬合"]],
    "壬丁": [config_gaoneng["丁壬合"]],
    "戊癸": [config_gaoneng["戊癸合"]],
    "癸戊": [config_gaoneng["戊癸合"]],

    "甲庚": [config_gaoneng["甲庚冲"]],
    "庚甲": [config_gaoneng["甲庚冲"]],
    "乙辛": [config_gaoneng["乙辛冲"]],
    "辛乙": [config_gaoneng["乙辛冲"]],
    "丙壬": [config_gaoneng["丙壬冲"]],
    "壬丙": [config_gaoneng["丙壬冲"]],
    "丁癸": [config_gaoneng["丁癸冲"]],
    "癸丁": [config_gaoneng["丁癸冲"]],

    "子丑": [config_gaoneng["子丑合"]],
    "丑子": [config_gaoneng["子丑合"]],
    "寅亥": [config_gaoneng["寅亥合"], config_gaoneng["寅亥破"]],
    "亥寅": [config_gaoneng["寅亥合"], config_gaoneng["寅亥破"]],
    "卯戌": [config_gaoneng["卯戌合"]],
    "戌卯": [config_gaoneng["卯戌合"]],
    "酉辰": [config_gaoneng["酉辰合"]],
    "辰酉": [config_gaoneng["酉辰合"]],
    "巳申": [config_gaoneng["巳申合"], config_gaoneng["巳申刑"], config_gaoneng["巳申破"]],
    "申巳": [config_gaoneng["巳申合"], config_gaoneng["巳申刑"], config_gaoneng["巳申破"]],
    "午未": [config_gaoneng["午未合"]],
    "未午": [config_gaoneng["午未合"]],

    "子午": [config_gaoneng["子午冲"]],
    "午子": [config_gaoneng["子午冲"]],
    "巳亥": [config_gaoneng["巳亥冲"]],
    "亥巳": [config_gaoneng["巳亥冲"]],
    "卯酉": [config_gaoneng["卯酉冲"]],
    "酉卯": [config_gaoneng["卯酉冲"]],
    "申寅": [config_gaoneng["申寅冲"]],
    "寅申": [config_gaoneng["申寅冲"]],
    "辰戌": [config_gaoneng["辰戌冲"]],
    "戌辰": [config_gaoneng["辰戌冲"]],
    "丑未": [config_gaoneng["丑未冲"]],
    "未丑": [config_gaoneng["丑未冲"]],

    "寅丑": [config_gaoneng["寅丑暗合"]],
    "丑寅": [config_gaoneng["寅丑暗合"]],
    "午亥": [config_gaoneng["午亥暗合"]],
    "亥午": [config_gaoneng["午亥暗合"]],
    "申卯": [config_gaoneng["申卯暗合"]],
    "卯申": [config_gaoneng["申卯暗合"]],

    "子辰": [config_gaoneng["子辰半合"]],
    "辰子": [config_gaoneng["子辰半合"]],
    "申子": [config_gaoneng["申子半合"]],
    "子申": [config_gaoneng["申子半合"]],
    "亥卯": [config_gaoneng["亥卯半合"]],
    "卯亥": [config_gaoneng["亥卯半合"]],
    "卯未": [config_gaoneng["卯未半合"]],
    "未卯": [config_gaoneng["卯未半合"]],
    "寅午": [config_gaoneng["寅午半合"]],
    "午寅": [config_gaoneng["寅午半合"]],
    "午戌": [config_gaoneng["午戌半合"]],
    "戌午": [config_gaoneng["午戌半合"]],
    "巳酉": [config_gaoneng["巳酉半合"]],
    "酉巳": [config_gaoneng["巳酉半合"]],
    "酉丑": [config_gaoneng["酉丑半合"]],
    "丑酉": [config_gaoneng["酉丑半合"]],

    "申辰": [config_gaoneng["申辰拱合"]],
    "辰申": [config_gaoneng["申辰拱合"]],
    "亥未": [config_gaoneng["亥未拱合"]],
    "未亥": [config_gaoneng["亥未拱合"]],
    "寅戌": [config_gaoneng["寅戌拱合"]],
    "戌寅": [config_gaoneng["寅戌拱合"]],
    "巳丑": [config_gaoneng["巳丑拱合"]],
    "丑巳": [config_gaoneng["巳丑拱合"]],

    "寅卯辰": [config_gaoneng["寅卯辰三会"]],
    "寅辰卯": [config_gaoneng["寅卯辰三会"]],
    "卯寅辰": [config_gaoneng["寅卯辰三会"]],
    "卯辰寅": [config_gaoneng["寅卯辰三会"]],
    "辰寅卯": [config_gaoneng["寅卯辰三会"]],
    "辰卯寅": [config_gaoneng["寅卯辰三会"]],
    "巳午未": [config_gaoneng["巳午未三会"]],
    "巳未午": [config_gaoneng["巳午未三会"]],
    "午巳未": [config_gaoneng["巳午未三会"]],
    "午未巳": [config_gaoneng["巳午未三会"]],
    "未巳午": [config_gaoneng["巳午未三会"]],
    "未午巳": [config_gaoneng["巳午未三会"]],
    "申酉戌": [config_gaoneng["申酉戌三会"]],
    "申戌酉": [config_gaoneng["申酉戌三会"]],
    "酉申戌": [config_gaoneng["申酉戌三会"]],
    "酉戌申": [config_gaoneng["申酉戌三会"]],
    "戌申酉": [config_gaoneng["申酉戌三会"]],
    "戌酉申": [config_gaoneng["申酉戌三会"]],
    "亥子丑": [config_gaoneng["亥子丑三会"]],
    "亥丑子": [config_gaoneng["亥子丑三会"]],
    "子亥丑": [config_gaoneng["亥子丑三会"]],
    "子丑亥": [config_gaoneng["亥子丑三会"]],
    "丑亥子": [config_gaoneng["亥子丑三会"]],
    "丑子亥": [config_gaoneng["亥子丑三会"]],

    "子卯": [config_gaoneng["子卯刑"]],
    "卯子": [config_gaoneng["子卯刑"]],
    "寅巳": [config_gaoneng["寅巳刑"], config_gaoneng["寅巳穿"]],
    "巳寅": [config_gaoneng["寅巳刑"], config_gaoneng["寅巳穿"]],
    "戌未": [config_gaoneng["戌未刑"], config_gaoneng["戌未破"]],
    "未戌": [config_gaoneng["戌未刑"], config_gaoneng["戌未破"]],
    "丑戌": [config_gaoneng["丑戌刑"]],
    "戌丑": [config_gaoneng["丑戌刑"]],

    "辰辰": [config_gaoneng["辰辰自刑"]],
    "午午": [config_gaoneng["午午自刑"]],
    "酉酉": [config_gaoneng["酉酉自刑"]],
    "亥亥": [config_gaoneng["亥亥自刑"]],

    "卯午": [config_gaoneng["卯午破"]],
    "午卯": [config_gaoneng["卯午破"]],
    "午酉": [config_gaoneng["午酉破"]],
    "酉午": [config_gaoneng["午酉破"]],
    "子酉": [config_gaoneng["子酉破"]],
    "酉子": [config_gaoneng["子酉破"]],
    "丑辰": [config_gaoneng["丑辰破"]],
    "辰丑": [config_gaoneng["丑辰破"]],

    "子未": [config_gaoneng["子未穿"]],
    "未子": [config_gaoneng["子未穿"]],
    "卯辰": [config_gaoneng["卯辰穿"]],
    "辰卯": [config_gaoneng["卯辰穿"]],
    "酉戌": [config_gaoneng["酉戌穿"]],
    "戌酉": [config_gaoneng["酉戌穿"]],
    "午丑": [config_gaoneng["午丑穿"]],
    "丑午": [config_gaoneng["午丑穿"]],
    "申亥": [config_gaoneng["申亥穿"]],
    "亥申": [config_gaoneng["申亥穿"]],
}
config_gaoneng_key = {
    "甲": [config_gaoneng["甲己合"], config_gaoneng["甲庚冲"]],
    "乙": [config_gaoneng["乙庚合"], config_gaoneng["乙辛冲"]],
    "丙": [config_gaoneng["丙辛合"], config_gaoneng["丙壬冲"]],
    "丁": [config_gaoneng["丁壬合"], config_gaoneng["丁癸冲"]],
    "戊": [config_gaoneng["戊癸合"]],
    "己": [config_gaoneng["甲己合"]],
    "庚": [config_gaoneng["乙庚合"], config_gaoneng["甲庚冲"]],
    "辛": [config_gaoneng["丙辛合"], config_gaoneng["乙辛冲"]],
    "壬": [config_gaoneng["丁壬合"], config_gaoneng["丙壬冲"]],
    "癸": [config_gaoneng["戊癸合"], config_gaoneng["丁癸冲"]],
    "子": [config_gaoneng["子丑合"], config_gaoneng["子午冲"], config_gaoneng["子午冲"], config_gaoneng["子酉破"],
           config_gaoneng["子辰半合"], config_gaoneng["子卯刑"], config_gaoneng["申子半合"],
           config_gaoneng["亥子丑三会"]],
    "丑": [config_gaoneng["子丑合"], config_gaoneng["丑未冲"], config_gaoneng["午丑穿"], config_gaoneng["丑辰破"],
           config_gaoneng["丑戌刑"], config_gaoneng["寅丑暗合"], config_gaoneng["酉丑半合"], config_gaoneng["巳丑拱合"],
           config_gaoneng["亥子丑三会"]],
    "寅": [config_gaoneng["寅亥合"], config_gaoneng["申寅冲"], config_gaoneng["寅巳穿"], config_gaoneng["寅亥破"],
           config_gaoneng["寅巳刑"], config_gaoneng["寅丑暗合"], config_gaoneng["寅午半合"], config_gaoneng["寅戌拱合"],
           config_gaoneng["寅卯辰三会"]],
    "卯": [config_gaoneng["卯戌合"], config_gaoneng["卯酉冲"], config_gaoneng["卯辰穿"], config_gaoneng["卯午破"],
           config_gaoneng["子卯刑"], config_gaoneng["卯未半合"], config_gaoneng["亥卯半合"], config_gaoneng["申卯暗合"],
           config_gaoneng["寅卯辰三会"]],
    "辰": [config_gaoneng["酉辰合"], config_gaoneng["辰戌冲"], config_gaoneng["卯辰穿"], config_gaoneng["丑辰破"],
           config_gaoneng["辰辰自刑"], config_gaoneng["子辰半合"], config_gaoneng["申辰拱合"],
           config_gaoneng["寅卯辰三会"]],
    "巳": [config_gaoneng["巳申合"], config_gaoneng["巳亥冲"], config_gaoneng["寅巳穿"], config_gaoneng["巳申破"],
           config_gaoneng["巳申刑"], config_gaoneng["巳酉半合"], config_gaoneng["巳丑拱合"], config_gaoneng["寅巳刑"],
           config_gaoneng["巳午未三会"]],
    "午": [config_gaoneng["午未合"], config_gaoneng["子午冲"], config_gaoneng["午丑穿"], config_gaoneng["卯午破"],
           config_gaoneng["午酉破"], config_gaoneng["午午自刑"], config_gaoneng["午亥暗合"], config_gaoneng["午戌半合"],
           config_gaoneng["寅午半合"], config_gaoneng["巳午未三会"]],
    "未": [config_gaoneng["午未合"], config_gaoneng["丑未冲"], config_gaoneng["子未穿"], config_gaoneng["戌未破"],
           config_gaoneng["戌未刑"], config_gaoneng["卯未半合"], config_gaoneng["亥未拱合"],
           config_gaoneng["巳午未三会"]],
    "申": [config_gaoneng["巳申合"], config_gaoneng["申寅冲"], config_gaoneng["申亥穿"], config_gaoneng["巳申破"],
           config_gaoneng["巳申刑"], config_gaoneng["申子半合"], config_gaoneng["申卯暗合"], config_gaoneng["申辰拱合"],
           config_gaoneng["申酉戌三会"]],
    "酉": [config_gaoneng["酉辰合"], config_gaoneng["卯酉冲"], config_gaoneng["酉戌穿"], config_gaoneng["午酉破"],
           config_gaoneng["子酉破"], config_gaoneng["酉酉自刑"], config_gaoneng["酉丑半合"], config_gaoneng["巳酉半合"],
           config_gaoneng["申酉戌三会"]],
    "戌": [config_gaoneng["卯戌合"], config_gaoneng["辰戌冲"], config_gaoneng["酉戌穿"], config_gaoneng["戌未破"],
           config_gaoneng["丑戌刑"], config_gaoneng["午戌半合"], config_gaoneng["寅戌拱合"], config_gaoneng["戌未刑"],
           config_gaoneng["申酉戌三会"]],
    "亥": [config_gaoneng["寅亥合"], config_gaoneng["巳亥冲"], config_gaoneng["申亥穿"], config_gaoneng["寅亥破"],
           config_gaoneng["亥亥自刑"], config_gaoneng["亥未拱合"], config_gaoneng["午亥暗合"],
           config_gaoneng["亥卯半合"], config_gaoneng["亥子丑三会"]],
}
config_muku = {
    "辰": {
        "chong": "辰戌冲",
        "lock": "酉辰合",
        "zixing": "辰辰自刑",
        "sanhui": "寅卯辰三会",
        "gonghe": "申辰拱合",
        "anhe": None,
    },
    "戌": {
        "chong": "辰戌冲",
        "lock": "卯戌合",
        "zixing": None,
        "sanhui": "申酉戌三会",
        "gonghe": "寅戌拱合",
        "anhe": None,
    },
    "丑": {
        "chong": "丑未冲",
        "lock": "子丑合",
        "zixing": None,
        "sanhui": "亥子丑三会",
        "gonghe": "巳丑拱合",
        "anhe": "寅丑暗合",
    },
    "未": {
        "chong": "丑未冲",
        "lock": "午未合",
        "zixing": None,
        "sanhui": "巳午未三会",
        "gonghe": "亥未拱合",
        "anhe": None,
    },
}
config_zhu = {
    1: 11,
    2: 12,
    3: 13,
    4: 14,
    5: 11,
    6: 12,
    7: 13,
    8: 14,
}
congfig_wangshuai = {
    "木": ["木", "火", "水", "金", "土"],
    "火": ["火", "土", "木", "水", "金"],
    "土": ["土", "金", "火", "木", "水"],
    "金": ["金", "水", "土", "火", "木"],
    "水": ["水", "木", "金", "土", "火"],
}
config_xingge = {
    "木": {
        "level": 0,
        "low": "内向保守，容易悲观压抑，情绪不稳",
        "middle": "温和慈悲，适应力强，积极自信，乐于接受新事物",
        "strong": "强势固执自负，容易善恶不分",
    },
    "火": {
        "level": 0,
        "low": "消极悲观，缺乏热情，难以表达情感",
        "middle": "热情开朗，充满激情，善于表达，行动力强，情商高",
        "strong": "冲动自负，过度兴奋、易焦虑，易与人冲突",
    },
    "土": {
        "level": 0,
        "low": "缺乏安全感，容易依赖别人，情绪容易波动，容易焦虑不安",
        "middle": "稳定可靠，富有包容心，诚实守信，执着有毅力，喜欢旧物",
        "strong": "固执保守，思虑过重，有时候会导致想得太多而难以行动",
    },
    "金": {
        "level": 0,
        "low": "缺乏纪律组织性，敏感，多愁善感，依赖性强",
        "middle": "重视规则纪律，决断力强，客观理性，独立性强，富有正义感、是非观、道德观，容易招惹是非",
        "strong": "严肃刻板，容易自我抑制情感，疏远别人导致孤独，控制欲强",
    },
    "水": {
        "level": 0,
        "low": "刚硬，缺少变通，难以深入理解自己和他人，行动容易缺少谋略",
        "middle": "灵活性、适应性强，富有智慧和直觉力，冷静，性格稳定，生理欲望强",
        "strong": "缺乏坚定的方向感，容易随波逐流，情感上过于敏感丰富，容易陷入过分的内省和感性而导致难以把握现实，给人冷漠、不好靠近的感觉",
    },
    "印绶": {
        "level": 0,
        "low": "较少得到外界的帮助",
        "middle": "贵人缘好，容易得到帮助；原则性强，重视口碑；为人谦虚低调，具有格局眼光；不爱操心，容易懒惰；",
        "strong": "容易过度依赖他人的帮助导致自立能力可能不够强",
    },
    "正印": {
        "level": 0,
        "low": "学习知识容易遇到困难，需要更多的努力；精神和心灵层面的成长相对缓慢，需要更多时间去磨练自身",
        "middle": "富有智慧，学习能力强，容易走自我创业路线",
        "strong": "容易自信自满，忽视持续性的努力",
    },
    "偏印": {
        "level": 0,
        "low": "创新能力相对受限，思想和知识倾向主流和传统",
        "middle": "擅长独立思考和创新，容易对非传统学识感兴趣，容易走个性化成长和发展路线，喜欢搞副业",
        "strong": "难以融入传统环境，容易过度追求非主流，容易和常规知识体系脱节，有时候思想过于前卫而导致不被理解",
    },
    "官杀": {
        "level": 0,
        "low": "难以聚焦理想",
        "middle": "有理想有追求，悟性高，具备辩证思维，重视口碑，会强迫自己去奋斗，容易操劳，容易为欲望破财",
        "strong": "身弱容易想入非非，性格怯弱；容易追求过多而导致分心",
    },
    "正官": {
        "level": 0,
        "low": "容易受到挑战，不易被认可",
        "middle": "重视规则和权威，事业运强，喜欢稳定",
        "strong": "过于严格刻板，自身容易因为过度的责任感和管理压力感到疲惫，男命控制欲过强",
    },
    "七杀": {
        "level": 0,
        "low": "缺乏变革的动力，容易犹豫不决，容易因为不够积极主动错失机会",
        "middle": "具备自我变革和突破精神，有勇气有毅力有冒险精神，生活中多与他人竞争",
        "strong": "生活中存在过多变化和不确定性，缺乏安全感。容易因为过于冒险导致轻率的决策行为，容易与人冲突",
    },
    "财星": {
        "level": 0,
        "low": "低欲望、淡泊名利",
        "middle": "物质、现实主义，对财富的掌控欲强",
        "strong": "过度追求物质，容易忽略精神层面的发展与满足；容易忽略个人成长、家庭和人际关系中的非物质价值；容易过度消费，缺乏对财富的合理管理",
    },
    "正财": {
        "level": 0,
        "low": "容易在财富积累上遇到障碍，长期稳定的收入来源易受到冲击",
        "middle": "以工作和事业提供的稳定财富收入为主，物质上追求安全和满足感，财富管理上以安全稳定为首要目标",
        "strong": "过度追求财富稳定性容易失去一些机会",
    },
    "偏财": {
        "level": 0,
        "low": "财富观念比较保守，财富的积累相对慢，更多依赖稳定的积累",
        "middle": "财富获取的方式比较灵活和创新，喜好风险投资和快速获得收益",
        "strong": "财富波动较大，容易忽略长期规划；容易过度追求快速致富，容易涉足高风险投资",
    },
    "食伤": {
        "level": 0,
        "low": "难以表达想法和感受，性格随和不喜争斗，容易怀才不遇，做事容易拖拉",
        "middle": "执行力强，好胜心强，喜欢操作，亲力亲为，有才华，好表现自己",
        "strong": "容易过度表现而得罪他人",
    },
    "食神": {
        "level": 0,
        "low": "不太注重生活品质，喜欢走动、行动，多对抗",
        "middle": "喜欢享受生活，追求岁月静好，善于做规划，自我精神世界富足",
        "strong": "过度依赖言辞表达，可能给人夸张不真诚的感觉",
    },
    "伤官": {
        "level": 0,
        "low": "思想倾向保守，遵循传统，对新事物持保留态度，喜欢慢生活",
        "middle": "喜欢社交，多与人互动，具备创新思维，见解独到，喜欢刺激性的充满挑战的事物，自身会比较辛苦",
        "strong": "过度的创新容易挑战规则，从而导致冲突。情绪容易波动，情感表达过于直接，易冲动鲁莽",
    },
    "比劫": {
        "level": 0,
        "low": "难以与他人协作",
        "middle": "好客、仗义、朋友多，具有领导力",
        "strong": "容易拉帮结派，仗势欺人；容易过度竞争从而影响和他人的关系",
    },
    "比肩": {
        "level": 0,
        "low": "缺少竞争的动力和欲望，倾向依赖他人或环境提供的机会",
        "middle": "个人独立性强，协同能力强",
        "strong": "容易以自我为中心，忽略团队价值；容易给自己过多压力，不利于身心健康；",
    },
    "劫财": {
        "level": 0,
        "low": "人际关系中较少遇到竞争和挑战，独立性强，较少依赖他人，但也容易因此错失合作带来的机会",
        "middle": "和朋友伙伴间多存在利益关系，善于利用他人的资源，有较强的对个人资源、财富的管理能力和控制力",
        "strong": "容易因资源、利益的分配导致和朋友关系紧张；容易面临财富和资源被他人争夺或流失的风险",
    },
}
config_lushen_tip = {
    "年禄": "祖上积蓄多，出生环境好，被冲被害容易家道中落，背井离乡",
    "建禄": "家资丰厚，但容易与父亲关系不好，被冲被害容易与兄弟姐妹关系不好，朋友少，易破财",
    "专禄": "身体健康，人容易自私，克妻。被冲被害容易有慢性病，容易被利益主导想法和行动",
    "归禄": "子女孝顺，晚年幸福，被冲被害则意思相反。",
    "半禄": "自身留太多财容易过盈反损，可以多做慈善，福泽子孙",
}
config_genqi = {
    "木": {
        "真": ["木", "水"],
        "假": ["金", "土"],
    },
    "火": {
        "真": ["火", "木"],
        "假": ["水", "金"],
    },
    "土": {
        "真": ["土", "火"],
        "假": ["水", "木"],
    },
    "金": {
        "真": ["金", "土"],
        "假": ["木", "火"],
    },
    "水": {
        "真": ["水", "金"],
        "假": ["火", "土"],
    },
}
config_zhenjia = {
    "官": {
        "真": "有名有权",
        "假": "有名无权，容易被架空",
    },
    "杀": {
        "真": "有名有权",
        "假": "有名无权，容易被架空",
    },
    "比": {
        "真": "朋友相帮",
        "假": "看着朋友很多，多是点头之交",
    },
    "劫": {
        "真": "朋友相帮",
        "假": "看着朋友很多，多是点头之交",
    },
    "食": {
        "真": "切实的落于行动",
        "假": "说的多，做的少",
    },
    "伤": {
        "真": "切实的落于行动",
        "假": "说的多，做的少",
    },
    "财": {
        "真": "看得到，拿的到",
        "假": "看得到，得不到",
    },
    "才": {
        "真": "看得到，拿的到",
        "假": "看得到，得不到",
    },
    "印": {
        "真": "得到贵人相助",
        "假": "得到的承诺多，兑现的少",
    },
    "枭": {
        "真": "得到贵人相助",
        "假": "得到的承诺多，兑现的少",
    },
}
config_lushen = {
    "甲": {
        "禄神": "寅",
        "半禄": ["卯"],
    },
    "乙": {
        "禄神": "卯",
        "半禄": ["寅", "辰"],
    },
    "丙": {
        "禄神": "巳",
        "半禄": ["午"],
    },
    "丁": {
        "禄神": "午",
        "半禄": ["巳", "未"],
    },
    "戊": {
        "禄神": "巳",
        "半禄": ["午"],
    },
    "己": {
        "禄神": "午",
        "半禄": ["巳", "未"],
    },
    "庚": {
        "禄神": "申",
        "半禄": ["酉"],
    },
    "辛": {
        "禄神": "酉",
        "半禄": ["申", "戌"],
    },
    "壬": {
        "禄神": "亥",
        "半禄": ["子"],
    },
    "癸": {
        "禄神": "子",
        "半禄": ["亥", "丑"],
    },
}
config_xiongji = {
    "劫财见财": {
        "eft": "容易失去财富、被人借钱、被人骗、被人利用、帮人做担保、劳动成果被窃取、被人欠款，保不住财，容易给人打工，财富格局受限",
        "solve": "谨慎投资，谨慎与人合伙，可以通过购买固定资产等方式主动花钱消灾。落大运上可以买房买保险等方式形成月固定支出化解。",
    },
    "劫财合七杀": {
        "eft": "比较凶的相，容易破财且身败名裂。",
        "solve": "引食神化杀",
    },
    "伤官见官": {
        "eft": "容易顶撞、口角、说话冒犯别人，如果进一步升级就容易造成是非、官非，从而导致牢狱之灾。当官杀强盛或是伤官受伤时容易被清算。对女命是离婚或分居的信号，易导致离婚。",
        "solve": "身旺可治官得官，治杀得杀。未触发前，可动居住环境、工作环境、装修房屋等方式把过剩的伤官泄出。如果已触发，破财消灾。女命怀孕生儿子也可解。",
    },
    "枭神夺食": {
        "eft": "身旺得帮扶，身弱有灾。易出现自闭、心理疾病。婴儿遇此相易早夭，青少年时期易自残或社恐，青年时期易流产，中年时期易身体有恙或官非不断，晚年易殒命。枭和食神的力量越接近越凶险，犯此相与女儿关系不佳。如果关系是合，就变成食神配印，贵不可言。",
        "solve": "补禄神，增加比肩，增加正印",
    },
    "七杀攻身": {
        "eft": "耗费自身的精力金钱，造成阻碍，也表示犯小人，影响自身健康，子女易叛逆，男命易被子女克，女命易遇渣男。",
        "solve": "正印化七杀，食神有力可制七杀，伤官强可迎合七杀，不被针对",
    },
    "财损印": {
        "eft": "工作、业务、固定资产容易受到损失。常见于收了不该收的小钱被停职，或是小钱博大运博输了，在官场常见打点关系，礼太少又想办大事。也表示父母离婚、夫妻离婚，容易竹篮打水一场空。如果财大印小则是好事，用大预算做小事情，成功率自然高。",
        "solve": "补财，增加预算。或是官星来帮，通过自我让利止损。",
    },
    "伤官合七杀": {
        "eft": "在伤官力量小于七杀时触发。容易做出对自己不利的行动而导致自身受损，或是主动去做自己不擅长的事情，导致在自我挑战中容易搬起石头砸自己的脚。如果伤官力量大于七杀，反而能制杀得名望地位。",
        "solve": "增强伤官力量，或者用正印制七杀",
    },
    "杀枭相杀": {
        "eft": "七杀攻身叠加枭神夺食，对自己身体、心理健康产生极大的负面影响，严重会危及生命，是很凶的相。",
        "solve": "分别化解七杀攻身和枭神夺食",
    },
    "独刃逢冲": {
        "eft": "极度影响健康，容易犯大事，冲在坐支容易犯生死关，辰戌丑未的冲不在此列。月上犯冲应在兄弟姐妹，年上犯冲多是家道中落，时上犯冲子女多忤逆。",
        "solve": "地支六合可化解，重点是保护禄神和羊刃",
    },
    "印禄相随": {
        "eft": "东山再起，事业逢贵人，增加固定资产，得贵人、父母、朋友相助，能担官担财，利于健康、事业",
        "solve": "能化七杀，化解枭神夺食",
    },
    "食神制杀": {
        "eft": "保护自身不受小人侵害，生财",
        "solve": "能否制的住看双方力量对比",
    },
    "食伤合印": {
        "eft": "想做的事情能做成，合食神以想为主，合伤官以做为主，更劳累些，合正印为佳，通常带来事业上升、固定资产增加，八字原局带此相也会带来有利影响。",
        "solve": "食神合正印，贵不可言",
    },
    "财合印": {
        "eft": "容易花钱办成事，合正印旺事业，合偏印旺副业。对投资、创业有利。花小钱办大事，或是花大钱办小事，总之事能成",
        "solve": "这里和正财偏财无关，总之是花钱",
    },
    "官制劫财": {
        "eft": "护财，使得劫财无法生效。能否护住取决于双方力量高低，即使不能完全护住，也能减少自身损失。",
        "solve": "跟劫财相关的负面的相也会被缓解",
    },
    "官印相生": {
        "eft": "获得权力、官职、贵不可言，主要指文官类的权力",
        "solve": "这个相不看八字旺衰，合正印更佳",
    },
    "杀印相生": {
        "eft": "获得权力、官职、地位，贵不可言，为官容易掌军权，在职业上多从事公检法武警消防领域，社会职业多为医生、理科老师",
        "solve": "这个相不看八字旺衰，合正印更佳",
    },
    "自合财官": {
        "eft": "合财得财，合官升职，好处是见效快，但是比较累自身，所得的规模也会相对弱一些",
        "solve": "指的日元合财官，阳干合财，阴干合官",
    },
}
